Skip to content
Protocol primitive

TTEncrypt decode

Decrypt an external TTEncrypt frame into UTF-8 and parsed JSON.

POSTapi.tikultra.com/v1/crypto/ttencrypt/decryptPrimitive · 2 credits
Upstreamlocal · TTEncrypt codecEvery plan

Parameters

NameTypeDescription
ciphertext_base64requiredstringBase64 TTEncrypt payload from your own capture.
e.g. dGMFEAAAe8F4+5CYxfGXyqSNJKbB4euSFkEMBHrbAAAAAGr0+qqTnvZeQiJaT1YAP+hG7RjD5HJTyJqFqe4Xug/l5fu9ONiZw5iCWSHatRBC2IpRNzmUvHu/fPwsS7tpioWTaMXQONyxcOu9MqTWBAXACWXOxw/qsoRiWZJNWrcM/30DGr6Vgf2ntP/Y1BF3C0UzPyzwoaMuq0/NejyG5CK1XeiULw1d667pQ09gpklCjx32dbeZ877qjpcwG1r1xFwjXOCu

Pricing

PlanPer callPer 1,000 calls
Starter2 credits$0.23
Growth2 credits$0.16
Scale2 credits$0.12

Responses

A 200 returns JSON with stable field names. Every response carries x-credits-cost, x-credits-tier and x-credits-remaining. Errors return a JSON body with a stable code and cost 0 credits. Error codes

curl -X POST https://api.tikultra.com/v1/crypto/ttencrypt/decrypt \
  -H "x-api-key: $TIKULTRA_KEY" \
  -H "content-type: application/json" \
  -d '{"ciphertext_base64":"dGMFEAAAe8F4+5CYxfGXyqSNJKbB4euSFkEMBHrbAAAAAGr0+qqTnvZeQiJaT1YAP+hG7RjD5HJTyJqFqe4Xug/l5fu9ONiZw5iCWSHatRBC2IpRNzmUvHu/fPwsS7tpioWTaMXQONyxcOu9MqTWBAXACWXOxw/qsoRiWZJNWrcM/30DGr6Vgf2ntP/Y1BF3C0UzPyzwoaMuq0/NejyG5CK1XeiULw1d667pQ09gpklCjx32dbeZ877qjpcwG1r1xFwjXOCu"}'
{
  "plaintext": "{\"aid\":1233,\"app_name\":\"musical_ly\",\"channel\":\"googleplay\"}",
  "plaintext_base64": "eyJhaWQiOjEyMzMsImFwcF9uYW1lIjoibXVzaWNhbF9seSIsImNoYW5uZWwiOiJnb29nbGVwbGF5In0=",
  "json": {
    "aid": 1233,
    "app_name": "musical_ly",
    "channel": "googleplay"
  }
}
Try it in the playgroundFull reference in the docs

More in Devices, signing & primitives

Ready to build?

Start with 2,500 free credits and test every public endpoint, then pick a plan.